XFIREWORKS(1)

NAME
XFireworks - Fireworks in the root window on X.

SYNOPSIS
xfireworks [ options ]

DESCRIPTION
XFireworks makes fireworks in the root window on X.
This is imitation of Japanese "Hanabi Taikai". It is very popular event in Japanese summer and performed on some rivers. Sumidagawa River's Hanabi Taikai is very popular. The author has seen Arakawa River's Hanabi Taikai every year.

OPTIONS

-h, -help
    Output help messages.

-display [displayname]
    The name of the X server to use.

-bg, -background, -background-color [color name]
    Background color of the root window.

-f, -file [filename]
    The name of the file to configure fireworks. Default configure file is ./xfireworks.conf

-wait [wait time]
    Wait time for micro seconds.

-fine [number]
    Steps of moving pieces of fireworks for percent. Default value is 100.
    If this value is small, xfireworks runs quickly and speedy.

-gradation [number]
    Color gradation. Default value is 16.
    If color gradation is a little, colors are shared, memory of X server and xfireworks are saved, and xfireworks starts up quickly.

-direct-draw
    XFireworks draw fireworks in the root window directly. (Default)

-no-direct-draw
    XFireworks draw fireworks in a pixmap and copy it to the root window as a background pixmap. If xfireworks don't run properly or you want to run XFireworks as a background pixmap, try this option.

-probability, -probability-magnification [number]
    Magnification of probability of performing fireworks for percent. Default value is 100.
    If this value is small, fireworks is very silent.
    If this value is large, fireworks is very loud.

-size, -size-magnification [number]
    Magnification of size of pieces for percent. Default value is 100.

-air, -air-magnification [number]
    Magnification of air resistance for percent. Default value is 100.

-gravity, -gravity-magnification [number]
    Magnification of gravity for percent. Default value is 100.

-transmission, -transmission-magnification [number]
    Magnification of velocity transmission for percent. Default value is 100.

-after-image, -after-image-magnification [number]
    Magnification of after images length for percent. Default value is 100.
    If this value is large, length of after images is very long.

-color-length, -color-length-magnification [number]
    Magnification of color change length for percent. Default value is 100.

-next-power, -next-power-magnification [number]
    Magnification of pieces explosion power for percent. Default value is 100.

-next-number, -next-number-magnification [number]
    Magnification of the number of pieces for percent. Default value is 100.
    If this value is small, fireworks is very silent.
    If this value is large, fireworks is very loud.

EXAMPLES
If your machine is very slow, try
> xfireworks -fine 75 -after-image 75

If your machine has less colors, try
> xfireworks -gradation 5
XFireworks use 5x5x5=125 colors.

If you have very high spec machine, try
> xfireworks -fine 200 -after-image 150 -gradation 64 -wait 10000

If you like simple fireworks (it's Japanese "Wabi Sabi"), try
> xfireworks -probability 50

If you like loud fireworks, try
> xfireworks -probability 500 -after-image 200 -next-number 120

If xfireworks don't run properly, try
> xfireworks -direct-draw
or
> xfireworks -no-direct-draw

SEE ALSO
X(1)

FILES
./xfireworks.conf, <XRoot>/lib/X11/XFireworks/xfireworks.conf

The default file to configure XFireworks.

XFireworks search the configuration file in the current directry at first. If not exist, second, XFireworks search "<XRoot>/lib/X11/XFireworks". If not exist, XFireworks use the default data in itself at last.

You can get the newest xfireworks.conf from the web page of XFireworks. The newest xfireworks.conf has more kinds of fireworks and is more beautiful.

Q AND A

Q.
All of fireworks are white.

A.
Your machine have less colors. Use -gradation option and decrease the number of colors to use.

Q.
If I use gmc (GNOME file manager), xfireworks runs very slow.

A.
Try -no-direct-draw option.

Q.
I want to put fireworks on the root window as a background picture. But, if I stop xfireworks with Ctrl-C, the root window is cleaned.

A.
Try -no-direct-draw option. If you run xfireworks with -no-direct-draw option, xfireworks don't clean the root window when you stop xfireworks.

Q.
If I use xfireworks with -fine 500 -after-image 500 options, movements of fireworks are not smoothly.

A.
Try -no-direct-draw option. If you run xfireworks with -no-direct-draw option, xfireworks draw fireworks on a pixmap and copy it to the root window, and movements of fireworks are smoothly.

Q.
I want to see more beautiful fireworks!

A.
Access the XFireworks's web page and download the newest xfireworks.conf.

Q.
I want to make my original fireworks!

A.
Edit xfireworks.conf. If you make more beautiful fireworks, please send it to the author.

AUTHOR
Programed by SAKAI Hiroaki.
E-Mail: sakai@seki.ee.kagu.sut.ac.jp, hsakai@pfu.co.jp
Web site:
http://www.seki.ee.kagu.sut.ac.jp/~sakai/myfreesoft/index.html
Mirror site:
http://hp.vector.co.jp/authors/VA014157/myfreesoft/index.html
http://www.people.or.jp/~hsakai/myfreesoft/index.html
If you want the newest xfireworks.conf, access these web pages.

SPECIAL THANKS
Hashimoto Jun for many advices and test on Linux.
Simosako Akira for test on Linux and many informations.
Koga Kazuhiro for test on Linux.
Umehara Taro for test on FreeBSD.
Morimi Asuka for many advices.

COPYRIGHT
XFireworks Copyright (c) 2000 SAKAI Hiroaki.
All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.